package mcmas.core.examples;

import mcmas.core.MCMContext;
import mcmas.core.MCMPlatform;

public class MCMInit {
	
	public static void main(String[] args) {
		MCMContext context = new MCMContext();
		System.out.println(context);
		System.out.println(context.getDevices().length);
		
		MCMPlatform[] platforms = MCMPlatform.getPlatforms();
		System.out.println(platforms.length);
		
		context = new MCMContext(platforms[0]);
		System.out.println(platforms[0]);
		System.out.println(context);
		System.out.println(context.getDevices().length);
		
		System.out.println(context.getDevices()[0]);
	}

}
